# $Id: mklivecd.spec.in,v 1.12 2003/10/04 10:03:28 jaco Exp $

%define name	mklivecd
%define version	0.5.9
%define release	0.8mdk

%define Summary	Builds a LiveCD from an existing Mandrakelinux installation

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Boot and Init
URL:		http://livecd.berlios.de/
Source0:	%{name}-%{version}.tar.bz2
Patch1:     	mklivecd-0.5.9-hw.patch.bz2
Patch2:     	mklivecd-0.5.9-service.patch.bz2
Requires:	busybox cloop-utils mkisofs drakxtools-newt
Requires:	squashfs-tools mediacheck
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
%{Summary}

%prep
%setup -q -n %{name}
%patch1 -p0 -b .hw
%patch2 -p0 -b .service

%build
%make

%install
rm -rf %{buildroot}
# fix cdrom.ko lookup when building with kernel < 2.6.10-1mdk
perl -pi -e 's! drivers/cdrom/cdrom ! !' dist/mklivecd
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG FAQ README* TODO
%{_sbindir}/mklivecd
%{_sbindir}/hwdetect
%{_datadir}/mklivecd/

%changelog
* Tue Mar 22 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.9-0.8mdk
- rebuild

* Tue Mar 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.9-0.7mdk
- update docs

* Tue Mar 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.9-0.6mdk
- add another missing dependency; mediacheck
- update from cvs

* Tue Mar 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.9-0.5mdk
- update url
- add missing dependency on squashfs-tools

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-0.4mdk
- 20050208 CVS snapshot (fix shell)

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-0.3mdk
- 20050208 CVS snapshot (sata update, sync with udev)
- fix cdrom now build into kernel core
- rediff patch 1
- merge patch 3 into patch 1

* Fri Dec 24 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.5.9-0.2mdk
- fix undefined variable

* Fri Dec 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-0.1mdk
- CVS snapshot (mdk10.x aware)
- kill useless patch 0
- patch 1: preconfigure keyboard, i18n, user, ... so that harddrake is able to
  autoconfigure everything
- patch 2: let harddrake service work

* Thu Jun 17 2004 Michael Scherer <misc@mandrake.org> 0.5.6-5mdk
- fix Summary
 
* Tue May 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-4mdk
- patch 0: fix deps killed by latest drakxtools

* Mon Dec 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.6-3mdk
- rebuild for new deps

* Wed Dec 03 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.6-2mdk
- spec fixes
- fix unowned dir

* Mon Oct  6 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.6-1mdk
- version 0.5.6
- spec fixes by Buchan Milne <bgmilne@cae.co.za>

* Sat Sep 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.5-2mdk
- rebuild

* Thu Sep 25 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.5-1mdk
- version 0.5.5

* Wed Sep 24 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.4-2mdk
- spec fixes

* Tue Sep 23 2003 Jaco Greeff <jaco@linuxminicd.org> 0.5.4-1mdk
- version 0.5.4
- removed patch0, fixed upstream

* Mon Sep 22 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.5.3-1mdk
- initial import into contrib, based on spec file from Jaco Greeff
- fixed requires (mkisofs)
- temporary locale fix to correct calculate initrd size
- correct mdk group name
- some macroszification
